BACK
2009-01-08

HTTP::Request on HTTPSのメモ

HTTP::Requestを使ったSSL通信は、Crypt::SSLeayがないと動きません。
特に実行エラーが出ないところがポイントですlol
しかしレスポンスにはちゃっかりと、

LWP will support https URLs if the Crypt::SSLeay module is installed.

と出力されています。親切なような、エラーになってほしいような。
Crypt::SSLeayを入れるには、openssl-developerが必要なので、あらかじめいれておきましょう。
ないとcpanでinstallしたときにnot foundと怒られます。

install時に、どうでもいいテストでこけてたらforce install.
form.submit使うときはname属性にsubmit使うな。
以上メモ。

BACK